cannot copy postgis layers between two schemas in the same db using qgis browser

2015-02-11 09:50 AM - Manel Clos

Status: Closed

Priority: Normal

Assignee:

Category: Browser

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 20375

Description

I'm getting a "relation already exists" error when trying to copy the table to a different schema in the same database (postgis).

Using the database administrator plugin, I can copy it (duplicate on the database) with no problems.

History

#1 - 2015-02-12 03:28 AM - Giovanni Manghi

- Status changed from Open to Feedback

what tool does return that message? DB Manager? The browser?

what is the "database administrator plugin"?

#2 - 2015-02-12 03:55 AM - Manel Clos

Hi,

The message is from the Browser. With the postgis database and both schemas open, I drag one layer to a different schema until I get the "+" icon, then I

drop the layer. The message appears just after, when qgis tries to execute the "copy" operation.

For "database administrator plugin" I meant the DB Manager plugin by Giuseppe Sucameli.

#3 - 2015-05-11 01:44 AM - Giovanni Manghi

- OS version deleted (7)

- Operating System deleted (Windows)

- Category set to Browser

- Subject changed from Copy layer to different schema on same database fails to cannot copy postgis layers between two schemas in the same db 

using qgis browser

- Status changed from Feedback to Open

- Affected QGIS version changed from 2.6.1 to master

#4 - 2016-02-14 11:49 AM - Jürgen Fischer

- Resolution set to fixed/implemented

- Status changed from Open to Closed
implemented in commit:fd2ad13
